|  | Home | Documentation | wst__RequestedReferenceType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
wst__RequestedReferenceType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestedReferenceType is a complexType. More...

`#include <wst.h>`

Collaboration diagram for wst__RequestedReferenceType:
[legend]

## Public Attributes

_wsse__SecurityTokenReference | wsse__SecurityTokenReference
| Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference.

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestedReferenceType is a complexType.

struct wst__RequestedReferenceType operations:

- wst__RequestedReferenceType* soap_new_wst__RequestedReferenceType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RequestedReferenceType(struct soap*, wst__RequestedReferenceType*) default initialize members
- int soap_read_wst__RequestedReferenceType(struct soap*, wst__RequestedReferenceType*) deserialize from a source
- int soap_write_wst__RequestedReferenceType(struct soap*, wst__RequestedReferenceType*) serialize to a sink
- wst__RequestedReferenceType* soap_dup_wst__RequestedReferenceType(struct soap*, wst__RequestedReferenceType* dst, wst__RequestedReferenceType <em>src) returns deep copy of wst__RequestedReferenceType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RequestedReferenceType(wst__RequestedReferenceType

) deep deletes wst__RequestedReferenceType data members, use only on dst after soap_dup_wst__RequestedReferenceType(NULL, wst__RequestedReferenceType *dst, wst__RequestedReferenceType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ wsse__SecurityTokenReference

_wsse__SecurityTokenReference wst__RequestedReferenceType::wsse__SecurityTokenReference

Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference.

Required element.

The documentation for this struct was generated from the following file:

- wst.h